## nec2c 0.6

=== Makefile ===
#Makefile for nec2c     21 Aug 2003

SHELL = /bin/sh
PROJECT = nec2c
BINDIR  = /usr/local/bin
CC = gcc -Wall -O2

objects = calculations.o fields.o geometry.o ground.o input.o \
	  main.o matrix.o misc.o network.o radiation.o somnec.o

$(PROJECT) : $(objects)
	    $(CC) -lm -o $(PROJECT) $(objects)

$(objects) : nec2c.h

nec2dx : 
	g77 -o nec2dx nec2dx.f
	install -m 755 --strip nec2dx $(BINDIR)

install : $(PROJECT)
	  install -m 755 $(PROJECT) $(BINDIR)

.PHONY : distclean
distclean  :
	-rm -f *.o *~ $(PROJECT) nec2dx

## nec2c 0.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SHELL = /bin/sh
 PROJECT = nec2c
 BINDIR  = /usr/local/bin
-CC = gcc -Wall -O2
+CC = gcc -Wall -O2 -march=native
 
 objects = calculations.o fields.o geometry.o ground.o input.o \
 	  main.o matrix.o misc.o network.o radiation.o somnec.o
@@ -13,7 +13,7 @@
 
 $(objects) : nec2c.h
 
-nec2dx : 
+nec2dx :
 	g77 -o nec2dx nec2dx.f
 	install -m 755 --strip nec2dx $(BINDIR)

## nec2c 1.3

=== debian/changelog ===
nec2c (1.3-4) unstable; urgency=medium
  [ Debian Janitor]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 10.
  * Change priority extra to priority optional.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update Vcs-* headers from vcswatch.

  [ Dave Hibberd ]
  * Updated to DH13
    - Removed debian/compat file
  * Updated to standards 4.5.1
  * Use secure URI for uscan

 -- Dave Hibberd <d@vehibberd.com>  Wed, 27 Jan 2021 23:19:42 +0000

nec2c (1.3-3) unstable; urgency=medium

  * autogen.sh
    - Patched gnome-common macros/variables out

  * debian/patches/gnome-common-migration.patch
    - Added to patch autogen.sh
    - Closes: #830031

 -- Dave Hibberd <d@vehibberd.com>  Sat, 11 Feb 2017 20:03:08 +0000

nec2c (1.3-2) unstable; urgency=medium

  * debian/control
    - Updated to latest standards (3.9.8)
    - Changed VCS-* to secure URIs
  * debian/rules
    - Added hardening

 -- Dave Hibberd <d@vehibberd.com>  Thu, 02 Jun 2016 22:02:35 +0100

nec2c (1.3-1) unstable; urgency=medium

  * Bringing under control of Debian Hamradio Maintainers
  * Adding categories for Hamradio-Menu
  * Updated to Upstream Version 1.3
  * Added Watchfile
  * Added Manpage
  * Updated debhelper compatibility to 9

 -- Dave Hibberd <d@vehibberd.com>  Sun, 15 Feb 2015 00:27:25 +0000

nec2c (0.8-3) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with --as-needed (Closes: #640719)

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Dec 2011 11:56:59 +0100

nec2c (0.8-2) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 02 Nov 2009 15:52:25 +0000

nec2c (0.8-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 24 Nov 2008 12:19:10 +0100

nec2c (0.6-4) unstable; urgency=low

  * Another upstream revision of the previous patch.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Nov 2008 19:15:28 +0100

nec2c (0.6-3) unstable; urgency=low

  * Upstream patch to better fix the previous bug.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 19 Nov 2008 21:22:06 +0100

nec2c (0.6-2) unstable; urgency=low

  * Fixed a segfault, thanks Jeffrey Hundstad. Closes: #498676.
    Upstream notified.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 18 Nov 2008 19:53:30 +0100

nec2c (0.6-1) unstable; urgency=low

  * Initial release.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 30 Nov 2006 17:13:03 +0100

=== debian/control ===
Source: nec2c
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Dave Hibberd <d@vehibberd.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/nec2c
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/nec2c.git
Homepage: https://www.qsl.net/5b4az/
Rules-Requires-Root: no


Package: nec2c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Translation of the NEC2 FORTRAN source code to the C language
 The translation was performed mostly "by hand" and a lot of modifications
 to the original program were introduced in order to modernize the NEC2
 and to remove as many built-in limitations as possible. The attendant
 SOMNEC program was also translated to C and incorporated in nec2c as a
 function so that Sommerfeld ground solutions are a part of the program.

=== debian/watch ===
version=4

https://www.qsl.net/5/5b4az/pkg/nec2/nec2c/ nec2c-(.+)\.tar\.bz2

## nec2c 1.3.1

=== debian/changelog ===
nec2c (1.3.1-3) unstable; urgency=medium

  * Fix edit error in the updated description
  * Clear up lintian whitespace errors

 -- Dave Hibberd <hibby@debian.org>  Tue, 19 Mar 2024 20:23:20 +0000

nec2c (1.3.1-2) unstable; urgency=medium

  * Update d/control with new description to be more clear
    * Thanks to Brian for the excellent suggestion by email

 -- Dave Hibberd <hibby@debian.org>  Sat, 24 Feb 2024 11:09:12 +0000

nec2c (1.3.1-1) unstable; urgency=medium

  * New Upstream Import
  * Add new email to d/control uploaders
  * Standards bump

 -- Dave Hibberd <hibby@debian.org>  Sat, 10 Feb 2024 18:33:59 +0000

=== debian/control ===
Source: nec2c
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Dave Hibberd <hibby@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/nec2c
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/nec2c.git
Homepage: https://www.qsl.net/5b4az/
Rules-Requires-Root: no


Package: nec2c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NEC2 simulates near and far field radiation patterns of antennas
 This updated and modernized translation of NEC2 from Fortran to C has 
 been hand optimized and removes many limitations in the original code.
 It includes SOMNEC to produce Sommerfield ground solutions.
